Bug #1121

Script failure checking kernel IPFILTER support

Added by frank almost 6 years ago. Updated almost 6 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-

Description

The script /etc/rc.d/ipfilter attempts to load the ipl module even if this
was compiled into the kernel. Apparently "ipl" can't be used as a modname
argument for kldstat to give the desired result. I'm currently using a
workaround as shown below, works for both the generic and the customized
kernel.

Regards,
Frank Josellis

--- patch begins here ---
--- /etc/rc.d/ipfilter.orig 2008-08-09 22:22:54 +0200
+++ /etc/rc.d/ipfilter 2008-08-12 17:33:24 +0200
@@ -30,7 +30,7 @@

ipfilter_loaded()
{
- if ! kldstat -q -m "ipl"; then
+ if ! kldstat -q -m "IP Filter: v3.4.35"; then
return 1
else
return 0
--- patch ends here ---

History

#1 Updated by swildner almost 6 years ago

Thanks. I think it would be better if we had a neutral module name
without version number for ipfilter too (in case someone feels like
updating it some day). Can you test if the following patch works works
for you?

http://leaf.dragonflybsd.org/~swildner/ipfilter.diff

I'll commit it tomorrow if no one objects.

Sascha

#2 Updated by frank almost 6 years ago

On Wed, 13 Aug 2008, Sascha Wildner wrote:

I've successfully tested your patch, this solves the problem consistently.

Thanks,
Frank Josellis

#3 Updated by matthias almost 6 years ago

resolved by swildner @ 2008/08/14 00:41:52 PDT

Also available in: Atom PDF